if ( typeof(jQuery) != 'undefined' ) {
	jQuery(document).ready(function () {
		jQuery('.post-type-freevent').on('click', '#publish', function (e) {
			e.preventDefault();

			var startDate = jQuery("#start_date").val();
			var endDate = jQuery("#end_date").val();
			var maxTickets = jQuery("#max_tickets").val();
			var saleStartDate = jQuery("#sale_start_date").val();
			var saleEndDate = jQuery("#sale_end_date").val();
			var adminEmail = jQuery("#admin_email").val();

			if (isNaN(Date.parse(startDate)) || Date.parse(startDate) === false) {
				alert('Invalid Start Date');
				return false;
			}

			if (isNaN(Date.parse(endDate)) || Date.parse(endDate) === false) {
				alert('Invalid End Date');
				return false;
			}

			if ( Date.parse(endDate) < Date.parse(startDate) ) {
				alert('End Date Cannot be before start date');
				return false;
			}

			if (maxTickets < 0) {
				alert('Maximum Number of Tickets must be greater than 0');
			}

			if (isNaN(Date.parse(saleStartDate)) || Date.parse(saleStartDate) === false) {
				alert('Invalid Sale Start Date');
				return false;
			}

			if (isNaN(Date.parse(saleEndDate)) || Date.parse(saleEndDate) === false) {
				alert('Invalid Sale End Date');
				return false;
			}

			var re = /^([\w-]+(?:\.[\w-]+)*)@((?:[\w-]+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$/i;
			if ( !re.test(adminEmail) ) {
				alert('Invalid Administrator E-Mail Address');
				return false;
			}

			// Validate Coupon Codes
			var coupons = [];
			jQuery('.coupon_code').each(function() {
				var coupon = jQuery(this).val().toUpperCase().replace(' ', '');
				if (coupon.length > 0) {
					if ( (coupons.indexOf(coupon) > -1 ) ) {
						alert('Coupon code "' + coupon + '" exists more than once.');
					}
					coupons.push(coupon);
				}
			});

			// SUCCESS - SUBMIT THE FORM
			jQuery("#post").submit();

		});
	});
}